Subject: bug#45350: Errors in man pages

From: Helge Kreutzmann <[email-masked]>
Date: Mon, 21 Dec 2020 08:21:52 +0100

Dear diffutils maintainer,
the manpage-l10n project maintains a large number of translations of
man pages both from a large variety of sources (including diffutils) as
well for a large variety of target languages.

During their work translators notice different possible issues in the
original (english) man pages. Sometimes this is a straightforward
typo, sometimes a hard to read sentence, sometimes this is a
convention not held up and sometimes we simply do not understand the
original.

We use several distributions as sources and update regularly (at
least every 2 month). This means we are fairly recent (some
distributions like archlinux also update frequently) but might miss
the latest upstream version once in a while, so the error might be
already fixed. We apologize and ask you to close the issue immediately
if this should be the case, but given the huge volume of projects and
the very limited number of volunteers we are not able to double check
each and every issue.

Secondly we translators see the manpages in the neutral po format,
i.e. converted and harmonized, but not the original source (be it man,
groff, xml or other). So we cannot provide a true patch (where
possible), but only an approximation which you need to convert into
your source format.

Finally the issues I'm reporting have accumulated over time and are
not always discovered by me, so sometimes my description of the
problem my be a bit limited - do not hesitate to ask so we can clarify
them.

I'm now reporting the errors for your project. If future reports
should use another channel, please let me know.

Man page: cmp.1
Issue: multiple: B<GNU> -> B<cmp>

"The full documentation for B<GNU> is maintained as a Texinfo manual.  If the "
"B<info> and B<GNU> programs are properly installed at your site, the command"
--
Man page: cmp.1
Issue: B<info GNU> → B<info cmp>

"B<info GNU>"
--
Man page: diff.1
Issue: multiple: B<GNU> -> B<diff>

"The full documentation for B<GNU> is maintained as a Texinfo manual.  If the "
"B<info> and B<GNU> programs are properly installed at your site, the command"
--
Man page: cmp.1
Issue: B<info GNU> → B<info diff>

"B<info GNU>"
--
Man page: diff3.1
Issue: multiple: B<GNU> -> B<diff3>
 
"The full documentation for B<GNU> is maintained as a Texinfo manual.  If the "
"B<info> and B<GNU> programs are properly installed at your site, the command"
--
Man page: cmp.1
Issue: B<info GNU> → B<info diff3>

"B<info GNU>"
msgstr "B<info diff3>"
--
Man page: sdiff.1
Issue: multiple: B<GNU> -> B<sdiff>

"The full documentation for B<GNU> is maintained as a Texinfo manual.  If the "
"B<info> and B<GNU> programs are properly installed at your site, the command"
--
Man page: sdiff.1
Issue: B<info GNU> → B<info sdiff>
 
"B<info GNU>"

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/